Bug 10263 - (int-171369) e-mail applet has a wrench which does nothing when tapped
(int-171369)
: e-mail applet has a wrench which does nothing when tapped
Status: RESOLVED FIXED
Product: Desktop Widgets
Email Widget
: 5.0:(10.2010.19-1)
: All Maemo
: Unspecified minor with 3 votes (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: mail-applet-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2010-05-25 15:17 UTC by timeless
Modified: 2010-10-26 18:39 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description timeless (reporter) 2010-05-25 15:17:21 UTC
EXACT STEPS LEADING TO PROBLEM: 
1. update to pr1.2
2. go to the home screen
3. tap and hold on the desktop
4. tap the title area
5. tap Add widget
6. tap E-mail
7. tap the wrench

EXPECTED OUTCOME:
tapping the wrench should open up a customization view, or if there's nothing
customizable, then the wrench shouldn't appear (as is the case with the feed
reader)

ACTUAL OUTCOME:
nothing happens

REPRODUCIBILITY:
always
Comment 1 timeless (reporter) 2010-05-25 17:14:20 UTC
preconditions: I have precisely one Mail account configured (MfE)
Comment 2 Dawid Lorenz 2010-05-26 17:02:00 UTC
(In reply to comment #1)
> preconditions: I have precisely one Mail account configured (MfE)
> 

Same here, with single Google Mail (IMAP) account setup.
Comment 3 Andre Klapper maemo.org 2010-10-26 18:39:19 UTC
Nokia considers this FIXED in modest-home-applet 0.0.3-13+0m5
which is part of 10.2010.19-1 and later.

Behavior is:
if the primary account is deleted and the secondary account is disabled the
secondary account then becomes the primary account. Then that account is
displayed on the widget. If the user doesn't want to see that account on the
widget the user will simply remove the widget. So if there is a single account
left that will always be enabled and shown.